Index: branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90
===================================================================
--- branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 4622)
+++ branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 5038)
@@ -58,5 +58,5 @@
       CALL ctl_opn( numnatb_ref, 'namelist_c14b_ref'  ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       CALL ctl_opn( numnatb_cfg, 'namelist_c14b_cfg'  ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )   
-      CALL ctl_opn( numonb     , 'output.namelist.c14', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )     
+      IF(lwm) CALL ctl_opn( numonb, 'output.namelist.c14', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )     
       REWIND( numnatb_ref )              ! Namelist namc14date in reference namelist : c14b parameters
       READ  ( numnatb_ref, namc14date, IOSTAT = ios, ERR = 901)
@@ -66,5 +66,5 @@
       READ  ( numnatb_cfg, namc14date, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namc14date in configuration namelist', lwp )
-      WRITE ( numonb, namc14date )
+      IF(lwm) WRITE ( numonb, namc14date )
       IF(lwp) THEN                  ! control print
          WRITE(numout,*)
@@ -88,5 +88,5 @@
          READ  ( numnatb_cfg, namc14dia, IOSTAT = ios, ERR = 904 )
 904      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namc14dia in configuration namelist', lwp )
-         WRITE ( numonb, namc14dia )
+         IF(lwm) WRITE ( numonb, namc14dia )
 
          DO jl = 1, jp_c14b_2d
@@ -124,5 +124,5 @@
       ENDIF
 
-   CALL FLUSH ( numonb )     ! flush output namelist C14b
+   IF(lwm) CALL FLUSH ( numonb )     ! flush output namelist C14b
 
    END SUBROUTINE trc_nam_c14b
Index: branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90
===================================================================
--- branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 4622)
+++ branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 5038)
@@ -18,6 +18,6 @@
    USE par_trc       ! TOP parameters
    USE trc           ! TOP variables
-   USE trdmod_oce
-   USE trdmod_trc
+   USE trd_oce
+   USE trdtrc
    USE iom           ! I/O library
 
@@ -290,17 +290,17 @@
       ENDIF
       !    
-      IF( ln_diatrc ) THEN
-         IF( lk_iomput ) THEN
-            CALL iom_put( "qtrC14b"  , qtr_c14  )
-            CALL iom_put( "qintC14b" , qint_c14 )
-            CALL iom_put( "fdecay"   , zdecay   )
-          ELSE
+      IF( lk_iomput ) THEN
+        CALL iom_put( "qtrC14b"  , qtr_c14  )
+        CALL iom_put( "qintC14b" , qint_c14 )
+        CALL iom_put( "fdecay"   , zdecay   )
+      ELSE
+         IF( ln_diatrc ) THEN
             trc2d(:,:  ,jp_c14b0_2d     ) = qtr_c14 (:,:)
             trc2d(:,:  ,jp_c14b0_2d + 1 ) = qint_c14(:,:)
             trc3d(:,:,:,jp_c14b0_3d     ) = zdecay  (:,:,:)
-          ENDIF
-      ENDIF
-
-      IF( l_trdtrc )  CALL trd_mod_trc( tra(:,:,:,jpc14), jpc14, jptra_trd_sms, kt )   ! save trends
+         ENDIF
+      ENDIF
+
+      IF( l_trdtrc )  CALL trd_trc( tra(:,:,:,jpc14), jpc14, jptra_sms, kt )   ! save trends
 
       CALL wrk_dealloc( jpi, jpj,      zatmbc14 )
Index: branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/C14b/trcwri_c14b.F90
===================================================================
--- branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/C14b/trcwri_c14b.F90	(revision 4622)
+++ branches/2014/dev_r4621_NOC4_BDY_VERT_INTERP/NEMOGCM/NEMO/TOP_SRC/C14b/trcwri_c14b.F90	(revision 5038)
@@ -37,9 +37,5 @@
       DO jn = jp_c14b0, jp_c14b1
          cltra = TRIM( ctrcnm(jn) )                  ! short title for tracer
-         IF( lk_vvl ) THEN
-            CALL iom_put( cltra, trn(:,:,:,jn) * fse3t_n(:,:,:) )
-         ELSE
-            CALL iom_put( cltra, trn(:,:,:,jn) )
-         ENDIF
+         CALL iom_put( cltra, trn(:,:,:,jn) )
       END DO
       !
